%define build_firefox 0
%define build_thunderbird 1
%define ext_guid '{efcbec50-6821-11db-bd13-0800200c9a66}'
%define ext_desc \\\
This extension adds "vCalendar (*.vcs)" to the import and \\\
export dialogs of Thunderbird with Lightning and Sunbird \\\
which will export a selected calendar to a file in the \\\
vCalendar format, suitable for reading by many mobile devices.


Name: vcs_support
License: MPL
Group: Applications/Internet
Summary: Import and export calendar files in vCalendar (.vcs) format
Version: 0.6.3.1
Release: 1%{?dist}
URL: https://addons.mozilla.org/en-US/thunderbird/addon/4721/
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: https://addons.mozilla.org/en-US/thunderbird/downloads/file/71893/xpi/.%{name}-%{version}-tb+sb.xpi
Source100: mozilla-extension-update.sh
ExclusiveArch: i386 x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip

%description
%{ext_desc}

%if %{build_thunderbird}

%define update_thunderbird \\\
  %{_libdir}/thunderbird-%{name}/mozilla-extension-update.sh --appname thunderbird \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/thunderbird-%{name} --action
  
%package -n thunderbird-%{name}
Summary: Import and export calendar files in vCalendar (.vcs) format
Requires:  thunderbird-lightning
Obsoletes: thunderbird-add-on-vcs_support
Group: Applications/Internet

%description -n thunderbird-%{name}
%{ext_desc}

%post -n thunderbird-%{name}
%{update_thunderbird} install ||:

%preun -n thunderbird-%{name}
if [ $1 = 0 ]; then
 %{update_thunderbird} remove ||:
fi 

%triggerin -n thunderbird-%{name} -- thunderbird
%{update_thunderbird} install ||:


%files -n thunderbird-%{name}
%defattr(-,root,root,-)
%{_libdir}/thunderbird-%{name}
%{_libdir}/thunderbird-%{name}/*

%endif #build_thunderbird

%build

%install

%define real_src %{SOURCE0}

%if %{build_thunderbird}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name} %{real_src}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name}/mozilla-extension-update.sh
%endif

%changelog

* Thu Jun 17 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.6.3.1
- Initial release for slc5
- Modeled this package on Lubomir Rintel one from EPEL for thunderbird-lightning.
